aboutsummaryrefslogtreecommitdiffstats
path: root/x11-toolkits/tk83/pkg-install.wish
diff options
context:
space:
mode:
authorhoek <hoek@FreeBSD.org>1998-07-28 05:36:08 +0800
committerhoek <hoek@FreeBSD.org>1998-07-28 05:36:08 +0800
commit8f33985214c3d780407fe39fb3ca69b8330ee5b9 (patch)
treeadb62e7861e67217e7b220346bde783ccea347b7 /x11-toolkits/tk83/pkg-install.wish
parent491607d257f430aa3a851fcca630316d51993d23 (diff)
downloadfreebsd-ports-gnome-8f33985214c3d780407fe39fb3ca69b8330ee5b9.tar.gz
freebsd-ports-gnome-8f33985214c3d780407fe39fb3ca69b8330ee5b9.tar.zst
freebsd-ports-gnome-8f33985214c3d780407fe39fb3ca69b8330ee5b9.zip
Install a wish script that spits-out all the various names for wish. The
script handles for tclX and tkstep. This is as per several discussions on -ports. I expect one or two of the depending ports to break silently. I didn't touch the ja-ports, since INSTALL.wish might want translating? PR: bin/5894 Mention: Eivind, who wrote part of INSTALL.wish
Diffstat (limited to 'x11-toolkits/tk83/pkg-install.wish')
-rw-r--r--x11-toolkits/tk83/pkg-install.wish31
1 files changed, 31 insertions, 0 deletions
diff --git a/x11-toolkits/tk83/pkg-install.wish b/x11-toolkits/tk83/pkg-install.wish
new file mode 100644
index 000000000000..ad18109783f1
--- /dev/null
+++ b/x11-toolkits/tk83/pkg-install.wish
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# The user may have a wish they want to preserve
+if [ ! -f ${PKG_PREFIX}/bin/wish ] || [ \
+ `grep -a awieYJFnsuILOnfsYEW ${PKG_PREFIX}/bin/wish | sed -e 's/.*\*\*//'` \
+ -lt 001 ]
+then
+ [ -f ${PKG_PREFIX}/bin/wish ] && chmod u+w ${PKG_PREFIX}/bin/wish
+
+ cat > ${PKG_PREFIX}/bin/wish <<'EOF'
+#!/bin/sh
+# Installed by ports system. id: awieYJFnsuILOnfsYEW**001
+
+(
+echo "In FreeBSD, wish is named with a version number. This is because"
+echo "different versions of wish are not compatible with each other and"
+echo "they can not all be called \"wish\"! You may need multiple versions"
+echo "installed because a given port may depend on a specific version."
+echo
+echo "On your system, wish is installed under at least the following names:"
+echo
+for name in $(/bin/ls $(echo $PATH | sed 's/:/ /g') 2> /dev/null | egrep '^wish(step)?(x|([0-9]+\.[0-9]+))([a-z][a-z])?$')
+do
+ echo $name
+done
+[ "$name" = "" ] && echo "No wish installations found, sorry."
+) 1>&2
+exit 1
+EOF
+ chmod a+rx ${PKG_PREFIX}/bin/wish
+fi